%define name cfengine
%define ver 1.6.3
%define rel 4mdk
%define url ftp://ftp.iu.hioslo.no/pub/cfengine

Summary: Cfengine helps administer remote BSD and System-5-like systems
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Monitoring
Source: %{url}/%{name}-%{ver}.tar.bz2
Source1: cfengine.conf
Source2: cfengine.cron
Source3: cfd.conf
Source4: cfd.init
Patch0: cfengine-1.5.4-tidy.patch.bz2
Patch1: cfengine-1.6.1-install-info-path.patch.bz2
BuildRoot: %{_tmppath}/cfengine-root
PreReq: /sbin/chkconfig /sbin/install-info
BuildRequires: flex bison openssl-devel db3-devel

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%serverbuild
aclocal
autoconf
%configure --datadir=/etc
%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/%{name}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cfengine/cfengine.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/cfengine/cfd.conf
mkdir -p $RPM_BUILD_ROOT/var/spool/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/cfd

cd doc
%makeinstall docdir=../rpmdoc/doc htmldir=../rpmdoc/html
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

%define info_files cfengine-Tutorial cfengine-Reference

%post
%_post_service cfd
for f in %{info_files}; do
  /sbin/install-info %{_infodir}/$f.info.bz2 %{_infodir}/dir
done

%preun
%_preun_service cfd
if [ "$1" = 0 ]; then
    for f in %{info_files}; do
        /sbin/install-info --delete %{_infodir}/$f.info.bz2 %{_infodir}/dir
    done
fi

%files
%defattr(-,root,root)
%doc doc/*.ps
%doc inputs/cf*
%doc rpmdoc/html/
%{_infodir}/*
%{_mandir}/man*/*
%dir /var/spool/cfengine

%{_sbindir}/*

%config(noreplace) /etc/cfengine/cfengine.conf
%config(noreplace) /etc/cfengine/cfd.conf
%config(noreplace) /etc/rc.d/init.d/cfd
%config(noreplace) /etc/cron.daily/cfengine

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-4mdk
- rebuild for db3.2

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-3mdk
- use the new rpm macros for servers.

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-2mdk
- stop cfd on uninstall

* Fri Mar 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.2-1mdk
- new version

* Tue Jan  2 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.6.1-2mdk
- fixed install

* Tue Jan  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.1-1mdk
- new version

* Thu Oct 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-5mdk
- Add security fix for syslog.

* Mon Aug 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-4mdk
- config files in noreplace mode.
- enable ssl

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-3mdk
- Move backups to /var/sppol.
- Merge debian patches.
- Recognize a Mandrake sysem.
- BM.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-2mdk
- Don't compile with SSL.

* Wed Mar  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-1mdk
- mandrake version.
